org.apache.nutch.indexer.solr

## Class SolrDeleteDuplicates.SolrInputFormat

- java.lang.Object
- - org.apache.hadoop.mapreduce.InputFormat<Text,SolrDeleteDuplicates.SolrRecord>
  - - org.apache.nutch.indexer.solr.SolrDeleteDuplicates.SolrInputFormat

- Enclosing class:
    SolrDeleteDuplicates

      public static class SolrDeleteDuplicates.SolrInputFormat
      extends InputFormat<Text,SolrDeleteDuplicates.SolrRecord>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SolrDeleteDuplicates.SolrInputFormat()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `RecordReader<Text,SolrDeleteDuplicates.SolrRecord>` | `createRecordReader(InputSplit split, TaskAttemptContext context)`
    `List<InputSplit>` | `getSplits(JobContext context)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SolrDeleteDuplicates.SolrInputFormat

          public SolrDeleteDuplicates.SolrInputFormat()

  - ### Method Detail

    - #### getSplits

          public List<InputSplit> getSplits(JobContext context)
                                     throws IOException,
                                            InterruptedException

      Specified by:
        `getSplits` in class `InputFormat<Text,SolrDeleteDuplicates.SolrRecord>`
      Throws:
        `IOException`
        `InterruptedException`

    - #### createRecordReader

          public RecordReader<Text,SolrDeleteDuplicates.SolrRecord> createRecordReader(InputSplit split,
                                                                              TaskAttemptContext context)
                                                                                throws IOException,
                                                                                       InterruptedException

      Specified by:
        `createRecordReader` in class `InputFormat<Text,SolrDeleteDuplicates.SolrRecord>`
      Throws:
        `IOException`
        `InterruptedException`

Copyright © 2015 The Apache Software Foundation